# FO Parameter Reference

$Id: param.xml,v 1.1 2003/06/09 18:40:49 blackburst Exp $
Walsh
Norman
1999
2000
2001
Norman Walsh

## Introduction

This is technical reference documentation for the DocBook XSL Stylesheets; it documents (some of) the parameters, templates, and other elements of the stylesheets.

This reference describes each of the HTML Stylesheet parameters. These are the easily customizable parts of the stylesheet. If you want to specify an alternate value for one or more of these parameters, you can do so in a driver stylesheet.

For example, if you want to change the `html.stylesheet` to `reference.css`, you might create a driver stylesheet like this:

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version='1.0'>

      <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"/>

      <xsl:param name="html.stylesheet">reference.css</xsl:param>

    </xsl:stylesheet>

Naturally, you have to change the `href` attribute on `<xsl:import>` to point to `docbook.xsl` on your system. (Or `chunk.xsl`, if you're using chunking.)

This is not intended to be user documentation. It is provided for developers writing customization layers for the stylesheets, and for anyone who's interested in how it works.

Although I am trying to be thorough, this documentation is known to be incomplete. Don't forget to read the source, too :-)

## Admonitions

admon.graphics
boolean

## admon.graphics

Use graphics in admonitions?

    <xsl:param name="admon.graphics" select="0"></xsl:param>

### Description

If true (non-zero), admonitions are presented in an alternate style that uses a graphic. Default graphics are provided in the distribution.

admon.graphics.extension
string

## admon.graphics.extension

Extension for admonition graphics

    <xsl:param name="admon.graphics.extension" select="'.png'"></xsl:param>

### Description

Sets the extension to use on admonition graphics.

admon.graphics.path
string

## admon.graphics.path

Path to admonition graphics

    <xsl:param name="admon.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the admonition graphics.

admon.textlabel
boolean

## admon.textlabel

Use text label in admonitions?

    <xsl:param name="admon.textlabel" select="1"></xsl:param>

### Description

If true (non-zero), admonitions are presented with a generated text label such as Note or Warning in the appropriate language. If zero, such labels are turned off, but any title child of the admonition element are still output. The default value is 1.

## admonition.title.properties

To set the style for admonitions titles.

    <xsl:attribute-set name="admonition.title.properties">
      <xsl:attribute name="font-size">14pt</xsl:attribute>
      <xsl:attribute name="font-weight">bold</xsl:attribute>
      <xsl:attribute name="hyphenate">false</xsl:attribute>
      <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
    </xsl:attribute-set>

### Description

How do you want admonitions titles styled?

Set the font-size, weight etc to the style required.

## admonition.properties

To set the style for admonitions.

    <xsl:attribute-set name="admonition.properties"></xsl:attribute-set>

### Description

How do you want admonitions styled?

Set the font-size, weight, etc. to the style required

## Callouts

callout.defaultcolumn
integer

## callout.defaultcolumn

Indicates what column callouts appear in by default

    <xsl:param name="callout.defaultcolumn" select="'60'"></xsl:param>

### Description

If a callout does not identify a column (for example, if it uses the `linerange` `unit`), it will appear in the default column.

callout.graphics
boolean

## callout.graphics

Use graphics for callouts?

    <xsl:param name="callout.graphics" select="'1'"></xsl:param>

### Description

If non-zero, callouts are presented with graphics (e.g., reverse-video circled numbers instead of "(1)", "(2)", etc.). Default graphics are provided in the distribution.

callout.graphics.extension
string

## callout.graphics.extension

Extension for callout graphics

    <xsl:param name="callout.graphics.extension" select="'.png'"></xsl:param>

### Description

Sets the extension to use on callout graphics.

callout.graphics.number.limit
integer

## callout.graphics.number.limit

Number of the largest callout graphic

    <xsl:param name="callout.graphics.number.limit" select="'10'"></xsl:param>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.graphics.path
string

## callout.graphics.path

Path to callout graphics

    <xsl:param name="callout.graphics.path" select="'images/callouts/'"></xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the callout graphics.

callout.unicode
boolean

## callout.unicode

Use Unicode characters rather than images for callouts.

    <xsl:param name="callout.unicode" select="0"></xsl:param>

### Description

The stylesheets can use either an image of the numbers one to ten, or the single Unicode character which represents the numeral, in white on a black background. Use this to select the Unicode character option.

callout.unicode.font

## callout.unicode.font

Specify a font for Unicode glyphs

    <xsl:param name="callout.unicode.font" select="'ZapfDingbats'"></xsl:param>

### Description

The name of the font to specify around Unicode callout glyphs. If set to the empty string, no font change will occur.

callout.unicode.number.limit
integer

## callout.unicode.number.limit

Number of the largest callout graphic

    <xsl:param name="callout.unicode.number.limit" select="'10'"></xsl:param>

### Description

If `callout.unicode` is non-zero, unicode characters are used to represent callout numbers. The value of `callout.unicode.number.limit` is the largest number for which a unicode character exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.unicode.start.character
integer

## callout.unicode.start.character

First Unicode character to use, decimal value.

    <xsl:param name="callout.unicode.start.character" select="10102"></xsl:param>

### Description

If `callout.graphics` is zero and `callout.unicode` is non-zero, unicode characters are used to represent callout numbers. The value of `callout.unicode.start.character` is the decimal unicode value used for callout number one. Currently, only 10102 is supported in the stylesheets for this parameter.

callouts.extension
boolean

## callouts.extension

Enable the callout extension

    <xsl:param name="callouts.extension" select="'1'"></xsl:param>

### Description

The callouts extension processes `areaset` elements in `ProgramListingCO` and other text-based callout elements.

## ToC/LoT/Index Generation

autotoc.label.separator
string

## autotoc.label.separator

Separator between labels and titles in the ToC

    <xsl:param name="autotoc.label.separator" select="'. '"></xsl:param>

### Description

String to use to seperate labels and title in a table of contents.

process.empty.source.toc
boolean

## process.empty.source.toc

FIXME:

    <xsl:param name="process.empty.source.toc" select="0"></xsl:param>

### Description

FIXME:

process.source.toc
boolean

## process.source.toc

FIXME:

    <xsl:param name="process.source.toc" select="0"></xsl:param>

### Description

FIXME:

generate.toc
table

## generate.toc

Control generation of ToCs and LoTs

    <xsl:param name="generate.toc">
    /appendix toc,title
    article/appendix  nop
    /article  toc,title
    book      toc,title,figure,table,example,equation
    /chapter  toc,title
    part      toc,title
    /preface  toc,title
    qandadiv  toc
    qandaset  toc
    reference toc,title
    /sect1    toc
    /sect2    toc
    /sect3    toc
    /sect4    toc
    /sect5    toc
    /section  toc
    set       toc,title
    </xsl:param>

### Description

This parameter has a structured value. It is a table of space-delimited path/value pairs. Each path identifies some element in the source document using a restricted subset of XPath (only the implicit child axis, no wildcards, no predicates). Paths can be either relative or absolute.

When processing a particular element, the stylesheets consult this table to determine if a ToC (or LoT(s)) should be generated.

For example, consider the entry:

    book toc,figure

This indicates that whenever a `book` is formatted, a Table Of Contents and a List of Figures should be generated. Similarly,

    /chapter toc

indicates that whenever a document that has a root of `chapter` is formatted, a Table of Contents should be generated. The entry `chapter` would match all chapters, but `/chapter` matches only `chapter` document elements.

Generally, the longest match wins. So, for example, if you want to distinguish articles in books from articles in parts, you could use these two entries:

    book/article toc,figure
    part/article toc

Note that an article in a part can never match a `book/article`, so if you want nothing to be generated for articles in parts, you can simply leave that rule out.

If you want to leave the rule in, to make it explicit that you're turning something off, use the value nop. For example, the following entry disables ToCs and LoTs for articles:

    article nop

Do not simply leave the word article in the file without a matching value. That'd be just begging the silly little path/value parser to get confused.

Section ToCs are further controlled by the `generate.section.toc.level` parameter. For a given section level to have a ToC, it must have both an entry in `generate.toc` and be within the range enabled by `generate.section.toc.level`.

generate.index
boolean

## generate.index

Do you want an index?

    <xsl:param name="generate.index" select="1"></xsl:param>

### Description

Specify if an index should be generated.

make.index.markup
boolean

## make.index.markup

Generate XML index markup in the index?

    <xsl:param name="make.index.markup" select="0"></xsl:param>

### Description

This parameter enables a very neat trick for getting properly merged, collated back-of-the-book indexes. G. Ken Holman suggested this trick at Extreme Markup Languages 2002 and I'm indebted to him for it.

Jeni Tennison's excellent code in `autoidx.xsl` does a great job of merging and sorting `indexterm`s in the document and building a back-of-the-book index. However, there's one thing that it cannot reasonably be expected to do: merge page numbers into ranges. (I would not have thought that it could collate and suppress duplicate page numbers, but in fact it appears to manage that task somehow.)

Ken's trick is to produce a document in which the index at the back of the book is displayed in XML. Because the index is generated by the FO processor, all of the page numbers have been resolved. It's a bit hard to explain, but what it boils down to is that instead of having an index at the back of the book that looks like this:

> #### A

> ap1, 1, 2, 3

you get one that looks like this:

>     <indexdiv>A</indexdiv>
>     <indexentry>
>     <primaryie>ap1</primaryie>,
>     <phrase role="pageno">1</phrase>,
>     <phrase role="pageno">2</phrase>,
>     <phrase role="pageno">3</phrase>
>     </indexentry>

After building a PDF file with this sort of odd-looking index, you can extract the text from the PDF file and the result is a proper index expressed in XML.

Now you have data that's amenable to processing and a simple Perl script (such as `fo/pdf2index`) can merge page ranges and generate a proper index.

Finally, reformat your original document using this literal index instead of an automatically generated one and bingo!

## xep.index.item.properties

Properties associated with XEP index-items

    <xsl:attribute-set name="xep.index.item.properties">
      <xsl:attribute name="merge-subsequent-page-numbers">true</xsl:attribute>
      <xsl:attribute name="link-back">true</xsl:attribute>
    </xsl:attribute-set>

### Description

Properties associated with XEP index-items. For more info see http://xep.xattic.com/xep/spec.html.

toc.section.depth
integer

## toc.section.depth

How deep should recursive `section`s appear in the TOC?

    <xsl:param name="toc.section.depth">2</xsl:param>

### Description

Specifies the depth to which recursive sections should appear in the TOC.

toc.indent.width
float

## toc.indent.width

Amount of indentation for TOC entries

    <xsl:param name="toc.indent.width" select="24"></xsl:param>

### Description

Specifies, in points, the distance by which each level of the TOC is indented from its parent.

This value is expressed in points, without a unit (in other words, it is a bare number). Using a bare number allows the stylesheet to perform calculations that would otherwise have to be performed by the FO processor because not all processors support expressions.

## toc.margin.properties

Margin properties used on Tables of Contents

    <xsl:attribute-set name="toc.margin.properties">
      <xsl:attribute name="space-before.minimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">2em</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-after.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">2em</xsl:attribute>
    </xsl:attribute-set>

### Description

This attribute set is used on Tables of Contents. These attributes are set on the wrapper that surrounds the ToC block, not on each individual lines.

bridgehead.in.toc
boolean

## bridgehead.in.toc

Should bridgehead elements appear in the TOC?

    <xsl:param name="bridgehead.in.toc" select="0"></xsl:param>

### Description

If non-zero, bridgeheads appear in the TOC. Note that this option is not fully supported and may be removed in a future version of the stylesheets.

generate.section.toc.level
integer

## generate.section.toc.level

Control depth of TOC generation in sections

    <xsl:param name="generate.section.toc.level" select="0"></xsl:param>

### Description

The `generate.section.toc.level` parameter controls the depth of section in which TOCs will be generated. Note that this is related to, but not the same as `toc.section.depth`, which controls the depth to which TOC entries will be generated in a given TOC.

If, for example, `generate.section.toc.level` is `3`, TOCs will be generated in first, second, and third level sections, but not in fourth level sections.

## Processor Extensions

arbortext.extensions
boolean

## arbortext.extensions

Enable Arbortext extensions?

    <xsl:param name="arbortext.extensions" select="0"></xsl:param>

### Description

If non-zero, Arbortext extensions will be used.

axf.extensions
boolean

## axf.extensions

Enable XSL Formatter extensions?

    <xsl:param name="axf.extensions" select="0"></xsl:param>

### Description

If non-zero, XSL Formatter extensions will be used. XSL Formatter extensions consists of PDF bookmarks, document information and better index processing.

fop.extensions
boolean

## fop.extensions

Enable FOP extensions?

    <xsl:param name="fop.extensions" select="0"></xsl:param>

### Description

If non-zero, FOP extensions will be used. At present, this consists of PDF bookmarks.

passivetex.extensions
boolean

## passivetex.extensions

Enable PassiveTeX extensions?

    <xsl:param name="passivetex.extensions" select="0"></xsl:param>

### Description

If non-zero, PassiveTeX extensions will be used. At present, this consists of PDF bookmarks and sorted index terms.

tex.math.in.alt
string

## tex.math.in.alt

TeX notation used for equations

    <xsl:param name="tex.math.in.alt" select="''"></xsl:param>

### Description

If you want type math directly in TeX notation in equations, this parameter specifies notation used. Currently are supported two values -- `plain` and `latex`. Empty value means that you are not using TeX math at all.

Preferred way for including TeX alternative of math is inside of `textobject` element. Eg.:

    <inlineequation>
    <inlinemediaobject>
    <imageobject>
    <imagedata fileref="eq1.gif"/>
    </imageobject>
    <textobject><phrase>E=mc squared</phrase></textobject>
    <textobject role="tex"><phrase>E=mc^2</phrase></textobject>
    </inlinemediaobject>
    </inlineequation>

If you are using `graphic` element, you can store TeX inside `alt` element:

    <inlineequation>
    <alt role="tex">a^2+b^2=c^2</alt>
    <graphic fileref="a2b2c2.gif"/>
    </inlineequation>

If you want use this feature, you should process your FO with PassiveTeX, which only supports TeX math notation. When calling stylsheet, don't forget to specify also passivetex.extensions=1.

If you want equations in HTML, just process generated file `tex-math-equations.tex` by TeX or LaTeX. Then run dvi2bitmap program on result DVI file. You will get images for equations in your document.

tex.math.delims
boolean

## tex.math.delims

Should be equations outputed for processing by TeX automatically surrounded by math mode delimiters

    <xsl:param name="tex.math.delims" select="'1'"></xsl:param>

### Description

For compatibility with DSSSL based DBTeXMath from Allin Cottrell you should set this parameter to 0.

xep.extensions
boolean

## xep.extensions

Enable XEP extensions?

    <xsl:param name="xep.extensions" select="0"></xsl:param>

### Description

If non-zero, XEP extensions will be used. XEP extensions consists of PDF bookmarks, document information and better index processing.

## Stylesheet Extensions

linenumbering.everyNth
integer

## linenumbering.everyNth

Indicate which lines should be numbered

    <xsl:param name="linenumbering.everyNth" select="'5'"></xsl:param>

### Description

If line numbering is enabled, everyNth line will be numbered.

linenumbering.extension
boolean

## linenumbering.extension

Enable the line numbering extension

    <xsl:param name="linenumbering.extension" select="'1'"></xsl:param>

### Description

If true, verbatim environments (elements that have the format='linespecific' notation attribute: address, literallayout, programlisting, screen, synopsis) that specify line numbering will have, surprise, line numbers.

linenumbering.separator
string

## linenumbering.separator

Specify a separator between line numbers and lines

    <xsl:param name="linenumbering.separator" select="' '"></xsl:param>

### Description

The separator is inserted between line numbers and lines in the verbatim environment.

linenumbering.width
integer

## linenumbering.width

Indicates the width of line numbers

    <xsl:param name="linenumbering.width" select="'3'"></xsl:param>

### Description

If line numbering is enabled, line numbers will appear right justified in a field "width" characters wide.

tablecolumns.extension
boolean

## tablecolumns.extension

Enable the table columns extension function

    <xsl:param name="tablecolumns.extension" select="'1'"></xsl:param>

### Description

The table columns extension function adjusts the widths of table columns in the HTML result to more accurately reflect the specifications in the CALS table.

textinsert.extension
boolean

## textinsert.extension

Enable the textinsert extension element

    <xsl:param name="textinsert.extension" select="'1'"></xsl:param>

### Description

The textinsert extension element inserts the contents of a a file into the result tree (as text).

use.extensions
boolean

## use.extensions

Enable extensions

    <xsl:param name="use.extensions" select="'0'"></xsl:param>

### Description

If non-zero, extensions may be used. Each extension is further controlled by its own parameter. But if `use.extensions` is zero, no extensions will be used.

## Automatic labelling

appendix.autolabel
boolean

## appendix.autolabel

Are Appendixes automatically enumerated?

    <xsl:param name="appendix.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled appendixes will be enumerated.

chapter.autolabel
boolean

## chapter.autolabel

Are chapters automatically enumerated?

    <xsl:param name="chapter.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled chapters will be enumerated.

part.autolabel
boolean

## part.autolabel

Are parts and references enumerated?

    <xsl:param name="part.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled parts and references will be enumerated.

preface.autolabel
boolean

## preface.autolabel

Are prefaces enumerated?

    <xsl:param name="preface.autolabel" select="0"></xsl:param>

### Description

If true (non-zero), unlabeled prefaces will be enumerated.

section.autolabel
boolean

## section.autolabel

Are sections enumerated?

    <xsl:param name="section.autolabel" select="0"></xsl:param>

### Description

If true (non-zero), unlabeled sections will be enumerated.

section.label.includes.component.label
boolean

## section.label.includes.component.label

Do section labels include the component label?

    <xsl:param name="section.label.includes.component.label" select="0"></xsl:param>

### Description

If true (non-zero), section labels are prefixed with the label of the component that contains them.

label.from.part
boolean

## label.from.part

Renumber chapters in each part?

    <xsl:param name="label.from.part" select="'0'"></xsl:param>

### Description

If `label.from.part` is non-zero, components (`chapter`s, `appendixe`s, etc.) will be numbered from 1 in each `part`. Otherwise, they will be numbered monotonically throughout each `book`.

## XSLT Processing

rootid
string

## rootid

Specify the root element to format

    <xsl:param name="rootid" select="''"></xsl:param>

### Description

If `rootid` is specified, it must be the value of an ID that occurs in the document being formatted. The entire document will be loaded and parsed, but formatting will begin at the element identified, rather than at the root. For example, this allows you to process only chapter 4 of a book.

Because the entire document is available to the processor, automatic numbering, cross references, and other dependencies are correctly resolved.

## Meta/*Info

make.single.year.ranges
boolean

## make.single.year.ranges

Print single-year ranges (e.g., 1998-1999)

    <xsl:param name="make.single.year.ranges" select="0"></xsl:param>

### Description

If non-zero, year ranges that span a single year will be printed in range notation (1998-1999) instead of discrete notation (1998, 1999).

make.year.ranges
boolean

## make.year.ranges

Collate copyright years into ranges?

    <xsl:param name="make.year.ranges" select="0"></xsl:param>

### Description

If non-zero, copyright years will be collated into ranges.

author.othername.in.middle
boolean

## author.othername.in.middle

Is `othername` in `author` a middle name?

    <xsl:param name="author.othername.in.middle" select="1"></xsl:param>

### Description

If true (non-zero), the `othername` of an `author` appears between the `firstname` and `surname`. Otherwise, `othername` is suppressed.

## Reference Pages

funcsynopsis.decoration
boolean

## funcsynopsis.decoration

Decorate elements of a FuncSynopsis?

    <xsl:param name="funcsynopsis.decoration" select="1"></xsl:param>

### Description

If true (non-zero), elements of the FuncSynopsis will be decorated (e.g. bold or italic). The decoration is controlled by functions that can be redefined in a customization layer.

funcsynopsis.style
list
ansi
kr

## funcsynopsis.style

What style of 'FuncSynopsis' should be generated?

    <xsl:param name="funcsynopsis.style">kr</xsl:param>

### Description

If `funcsynopsis.style` is `ansi`, ANSI-style function synopses are generated for a `funcsynopsis`, otherwise K&R-style function synopses are generated.

function.parens
boolean

## function.parens

Generate parens after a function?

    <xsl:param name="function.parens">0</xsl:param>

### Description

If not 0, the formatting of a `function` element will include generated parenthesis.

refentry.generate.name
boolean

## refentry.generate.name

Output NAME header before 'RefName'(s)?

    <xsl:param name="refentry.generate.name" select="1"></xsl:param>

### Description

If true (non-zero), a "NAME" section title is output before the list of 'RefName's. This parameter and `refentry.generate.title` are mutually exclusive. This means that if you change this parameter to zero, you should set `refentry.generate.title` to 1 unless you want get quite strange output.

refentry.generate.title
boolean

## refentry.generate.title

Output title before 'RefName'(s)?

    <xsl:param name="refentry.generate.title" select="0"></xsl:param>

### Description

If true (non-zero), the reference page title or first name is output before the list of 'RefName's. This parameter and `refentry.generate.name` are mutually exclusive. This means that if you change this parameter to 1, you should set `refentry.generate.name` to 0 unless you want get quite strange output.

refentry.title.properties
attribute set

## refentry.title.properties

Title properties for a refentry title

    <xsl:attribute-set name="refentry.title.properties">
      <xsl:attribute name="font-family">
        <xsl:value-of select="$title.font.family"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="font-size">18pt</xsl:attribute>
      <xsl:attribute name="font-weight">bold</xsl:attribute>
      <xsl:attribute name="space-after">1em</xsl:attribute>
      <xsl:attribute name="hyphenate">false</xsl:attribute>
      <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
      <xsl:attribute name="space-after.optimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.4em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">0.6em</xsl:attribute>
    </xsl:attribute-set>

### Description

FIXME:

refentry.xref.manvolnum
boolean

## refentry.xref.manvolnum

Output `manvolnum` as part of `refentry` cross-reference?

    <xsl:param name="refentry.xref.manvolnum" select="1"></xsl:param>

### Description

if true (non-zero), the `manvolnum` is used when cross-referencing `refentry`s, either with `xref` or `citerefentry`.

## Tables

default.table.width
length

## default.table.width

The default width of tables

    <xsl:param name="default.table.width" select="''"></xsl:param>

### Description

If specified, this value will be used for the WIDTH attribute on tables that do not specify an alternate width (with the dbhtml processing instruction).

nominal.table.width
length

## nominal.table.width

The (absolute) nominal width of tables

    <xsl:param name="nominal.table.width" select="'6in'"></xsl:param>

### Description

In order to convert CALS column widths into HTML column widths, it is sometimes necessary to have an absolute table width to use for conversion of mixed absolute and relative widths. This value must be an absolute length (not a percentag).

table.cell.padding

## table.cell.padding

    <xsl:attribute-set name="table.cell.padding">
      <xsl:attribute name="padding-left">2pt</xsl:attribute>
      <xsl:attribute name="padding-right">2pt</xsl:attribute>
      <xsl:attribute name="padding-top">2pt</xsl:attribute>
      <xsl:attribute name="padding-bottom">2pt</xsl:attribute>
    </xsl:attribute-set>

### Description

FIXME:

table.frame.border.thickness

## table.frame.border.thickness

Specifies the thickness of the frame border

    <xsl:param name="table.frame.border.thickness" select="'0.5pt'"></xsl:param>

### Description

Specifies the thickness of the border on the table's frame.

table.frame.border.style

## table.frame.border.style

    <xsl:param name="table.frame.border.style" select="'solid'"></xsl:param>

### Description

FIXME:

table.frame.border.color

## table.frame.border.color

    <xsl:param name="table.frame.border.color" select="'black'"></xsl:param>

### Description

FIXME:

table.cell.border.thickness

## table.cell.border.thickness

    <xsl:param name="table.cell.border.thickness" select="'0.5pt'"></xsl:param>

### Description

FIXME:

table.cell.border.style

## table.cell.border.style

    <xsl:param name="table.cell.border.style" select="'solid'"></xsl:param>

### Description

FIXME:

table.cell.border.color

## table.cell.border.color

    <xsl:param name="table.cell.border.color" select="'black'"></xsl:param>

### Description

FIXME:

## Linking

target.database.document
uri

## target.database.document

Name of master database file for resolving olinks

    <xsl:param name="target.database.document" select="''"></xsl:param>

### Description

To resolve olinks between documents, the stylesheets use a master database document that identifies the target datafiles for all the documents within the scope of the olinks. This parameter value is the URI of the master document to be read during processing to resolve olinks. The default value is `olinkdb.xml`.

The data structure of the file is defined in the `targetdatabase.dtd` DTD. The database file provides the high level elements to record the identifiers, locations, and relationships of documents. The cross reference data for individual documents is generally pulled into the database using system entity references or XIncludes. See also `targets.filename`.

use.local.olink.style
boolean

## use.local.olink.style

Process olinks using xref style of current document

    <xsl:param name="use.local.olink.style" select="0"></xsl:param>

### Description

When cross reference data is collected for use by olinks, the data for each potential target includes one field containing a completely assembled cross reference string, as if it were an xref generated in that document. Other fields record the separate title, number, and element name of each target. When an olink is formed to a target from another document, the olink resolves to that preassembled string by default. If the `use.local.olink.style` parameter is set to non-zero, then instead the cross reference string is formed again from the target title, number, and element name, using the stylesheet processing the targeting document. Then olinks will match the xref style in the targeting document rather than in the target document. If both documents are processed with the same stylesheet, then the results will be the same.

current.docid
string

## current.docid

targetdoc identifier for the document being processed

    <xsl:param name="current.docid" select="''"></xsl:param>

### Description

When olinks between documents are resolved for HTML output, the stylesheet can compute the relative path between the current document and the target document. The stylesheet needs to know the `targetdoc` identifiers for both documents, as they appear in the `target.database.document` database file. This parameter passes to the stylesheet the targetdoc identifier of the current document, since that identifier does not appear in the document itself.

This parameter can also be used for print output. If an olink's `targetdoc` id differs from the `current.docid`, then the stylesheet can append the target document's title to the generated olink text. That identifies to the reader that the link is to a different document, not the current document. See also `olink.doctitle` to enable that feature.

olink.doctitle
boolean

## olink.doctitle

show the document title for external olinks?

    <xsl:param name="olink.doctitle" select="0"></xsl:param>

### Description

When olinks between documents are resolved for print output, the generated text may not make it clear that the reference is to another document. It is possible for the stylesheets to append the other document's title to external olinks. For this to happen, two parameters must be set. The `olink.doctitle` parameter should be set to nonzero to enable this feature. And you should set the `current.docid` parameter to the document id for the document currently being processed for output. If an olink's `targetdoc` id differs from the `current.docid`, then the stylesheet can append the target document's title to the generated olink text.

## QAndASet

qandadiv.autolabel
boolean

## qandadiv.autolabel

Are divisions in QAndASets enumerated?

    <xsl:param name="qandadiv.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled qandadivs will be enumerated.

qanda.inherit.numeration
boolean

## qanda.inherit.numeration

Does enumeration of QandASet components inherit the numeration of parent elements?

    <xsl:param name="qanda.inherit.numeration" select="1"></xsl:param>

### Description

If true (non-zero), numbered QandADiv elements and Questions and Answers inherit the numeration of the ancestors of the QandASet.

## Bibliography

biblioentry.item.separator
string

## biblioentry.item.separator

Text to separate bibliography entries

    <xsl:param name="biblioentry.item.separator">. </xsl:param>

### Description

Text to separate bibliography entries

bibliography.collection
string

## bibliography.collection

Name of the bibliography collection file

    <xsl:param name="bibliography.collection" select="'http://docbook.sourceforge.net/release/bibliography/bibliography.xml'"></xsl:param>

### Description

Maintaining bibliography entries across a set of documents is tedious, time consuming, and error prone. It makes much more sense, usually, to store all of the bibliography entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `bibliography.collection` parameter. To setup a global bibliography database, follow these steps:

First, create a stand-alone bibliography document that contains all of the documents that you wish to reference. Make sure that each bibliography entry (whether you use `biblioentry` or `bibliomixed`) has an ID.

My global bibliography, `~/bibliography.xml` begins like this:

    <!DOCTYPE bibliography
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <bibliography><title>References</title>

    <bibliomixed id="xml-rec"><abbrev>XML 1.0</abbrev>Tim Bray,
    Jean Paoli, C. M. Sperberg-McQueen, and Eve Maler, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml">Extensible Markup
    Language (XML) 1.0 Second Edition</ulink></citetitle>.
    World Wide Web Consortium, 2000.
    </bibliomixed>

    <bibliomixed id="xml-names"><abbrev>Namespaces</abbrev>Tim Bray,
    Dave Hollander,
    and Andrew Layman, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml-names/">Namespaces in
    XML</ulink></citetitle>.
    World Wide Web Consortium, 1999.
    </bibliomixed>

    <!-- ... -->
    </bibliography>

When you create a bibliography in your document, simply provide empty `bibliomixed` entries for each document that you wish to cite. Make sure that these elements have the same ID as the corresponding real entry in your global bibliography.

For example:

    <bibliography><title>Bibliography</title>

    <bibliomixed id="xml-rec"/>
    <bibliomixed id="xml-names"/>
    <bibliomixed id="DKnuth86">Donald E. Knuth. <citetitle>Computers and
    Typesetting: Volume B, TeX: The Program</citetitle>. Addison-Wesley,
    1986.  ISBN 0-201-13437-3.
    </bibliomixed>
    <bibliomixed id="relaxng"/>

    </bibliography>

Note that it's perfectly acceptable to mix entries from your global bibliography with normal entries. You can use `xref` or other elements to cross-reference your bibliography entries in exactly the same way you do now.

Finally, when you are ready to format your document, simply set the `bibliography.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global bibliography.

The stylesheets will format the bibliography in your document as if all of the entries referenced appeared there literally.

bibliography.numbered
boolean

## bibliography.numbered

Should bibliography entries be numbered?

    <xsl:param name="bibliography.numbered" select="0"></xsl:param>

### Description

If non-zero bibliography entries will be numbered

## Glossary

glossterm.auto.link
boolean

## glossterm.auto.link

Generate links from glossterm to glossentry automaticaly?

    <xsl:param name="glossterm.auto.link" select="0"></xsl:param>

### Description

If true, a link will be automatically created from glossterm to glossentry for that glossary term. This is usefull when your glossterm names are consistent and you don't want to add links manually.

If there is `linkend` on `glossterm` then is used instead of autogeneration of link.

firstterm.only.link
boolean

## firstterm.only.link

Does automatic glossterm linking only apply to firstterms?

    <xsl:param name="firstterm.only.link" select="0"></xsl:param>

### Description

If true, only `firstterm`s will be automatically linked to the glossary. If glossary linking is not enabled, this parameter has no effect.

glossary.collection
string

## glossary.collection

Name of the glossary collection file

    <xsl:param name="glossary.collection" select="''"></xsl:param>

### Description

Glossaries maintained independently across a set of documents are likely to become inconsistent unless considerable effort is expended to keep them in sync. It makes much more sense, usually, to store all of the glossary entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `glossary.collection` parameter. To setup a global glossary database, follow these steps:

#### Setting Up the Glossary Database

First, create a stand-alone glossary document that contains all of the entries that you wish to reference. Make sure that each glossary entry has an ID.

Here's an example glossary:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE glossary
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <glossary>
    <glossaryinfo>
    <editor><firstname>Eric</firstname><surname>Raymond</surname></editor>
    <title>Jargon File 4.2.3 (abridged)</title>
    <releaseinfo>Just some test data</releaseinfo>
    </glossaryinfo>

    <glossdiv><title>0</title>

    <glossentry>
    <glossterm>0</glossterm>
    <glossdef>
    <para>Numeric zero, as opposed to the letter `O' (the 15th letter of
    the English alphabet). In their unmodified forms they look a lot
    alike, and various kluges invented to make them visually distinct have
    compounded the confusion. If your zero is center-dotted and letter-O
    is not, or if letter-O looks almost rectangular but zero looks more
    like an American football stood on end (or the reverse), you're
    probably looking at a modern character display (though the dotted zero
    seems to have originated as an option on IBM 3270 controllers). If
    your zero is slashed but letter-O is not, you're probably looking at
    an old-style ASCII graphic set descended from the default typewheel on
    the venerable ASR-33 Teletype (Scandinavians, for whom /O is a letter,
    curse this arrangement). (Interestingly, the slashed zero long
    predates computers; Florian Cajori's monumental "A History of
    Mathematical Notations" notes that it was used in the twelfth and
    thirteenth centuries.) If letter-O has a slash across it and the zero
    does not, your display is tuned for a very old convention used at IBM
    and a few other early mainframe makers (Scandinavians curse <emphasis>this</emphasis>
    arrangement even more, because it means two of their letters collide).
    Some Burroughs/Unisys equipment displays a zero with a <emphasis>reversed</emphasis>
    slash. Old CDC computers rendered letter O as an unbroken oval and 0
    as an oval broken at upper right and lower left. And yet another
    convention common on early line printers left zero unornamented but
    added a tail or hook to the letter-O so that it resembled an inverted
    Q or cursive capital letter-O (this was endorsed by a draft ANSI
    standard for how to draw ASCII characters, but the final standard
    changed the distinguisher to a tick-mark in the upper-left corner).
    Are we sufficiently confused yet?</para>
    </glossdef>
    </glossentry>

    <glossentry>
    <glossterm>1TBS</glossterm>
    <glossdef>
    <para role="accidence">
    <phrase role="pronounce"></phrase>
    <phrase role="partsofspeach">n</phrase>
    </para>
    <para>The "One True Brace Style"</para>
    <glossseealso>indent style</glossseealso>
    </glossdef>
    </glossentry>

    <!-- ... -->

    </glossdiv>

    <!-- ... -->

    </glossary>

#### Marking Up Glossary Terms

That takes care of the glossary database, now you have to get the entries into your document. Unlike bibliography entries, which can be empty, creating placeholder glossary entries would be very tedious. So instead, support for `glossary.collection` relies on implicit linking.

In your source document, simply use `firstterm` and `glossterm` to identify the terms you wish to have included in the glossary. The stylesheets assume that you will either set the `baseform` attribute correctly, or that the content of the element exactly matches a term in your glossary.

If you're using a `glossary.collection`, don't make explicit links on the terms in your document.

So, in your document, you might write things like this:

    <para>This is dummy text, without any real meaning.
    The point is simply to reference glossary terms like <glossterm>0</glossterm>
    and the <firstterm baseform="1TBS">One True Brace Style (1TBS)</firstterm>.
    The <glossterm>1TBS</glossterm>, as you can probably imagine, is a nearly
    religious issue.</para>

If you set the `firstterm.only.link` parameter, only the terms marked with `firstterm` will be links. Otherwise, all the terms will be linked.

#### Marking Up the Glossary

The glossary itself has to be identified for the stylesheets. For lack of a better choice, the `role` is used. To identify the glossary as the target for automatic processing, set the role to `auto`. The title of this glossary (and any other information from the `glossaryinfo` that's rendered by your stylesheet) will be displayed, but the entries will come from the database.

Unfortunately, the glossary can't be empty, so you must put in at least one `glossentry`. The content of this entry is irrelevant, it will not be rendered:

    <glossary role="auto">
    <glossentry>
    <glossterm>Irrelevant</glossterm>
    <glossdef>
    <para>If you can see this, the document was processed incorrectly. Use
    the <parameter>glossary.collection</parameter> parameter.</para>
    </glossdef>
    </glossentry>
    </glossary>

What about glossary divisions? If your glossary database has glossary divisions and your automatic glossary contains at least one `glossdiv`, the automic glossary will have divisions. If the `glossdiv` is missing from either location, no divisions will be rendered.

Glossary entries (and divisions, if appropriate) in the glossary will occur in precisely the order they occur in your database.

#### Formatting the Document

Finally, when you are ready to format your document, simply set the `glossary.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global glossary.

The stylesheets will format the glossary in your document as if all of the entries implicilty referenced appeared there literally.

#### Limitations

Glossary cross-references within the glossary are not supported. For example, this will not work:

    <glossentry>
    <glossterm>gloss-1</glossterm>
    <glossdef><para>A description that references <glossterm>gloss-2</glossterm>.</para>
    <glossseealso>gloss-2</glossseealso>
    </glossdef>
    </glossentry>

If you put glossary cross-references in your glossary that way, you'll get the cryptic error: `Warning: glossary.collection specified, but there are 0 automatic glossaries`.

Instead, you must do two things:

1. Markup your glossary using `glossseealso`:

       <glossentry>
       <glossterm>gloss-1</glossterm>
       <glossdef><para>A description that references <glossterm>gloss-2</glossterm>.</para>
       <glossseealso>gloss-2</glossseealso>
       </glossdef>
       </glossentry>

2. Make sure there is at least one `glossterm` reference to gloss-2 in your document. The easiest way to do that is probably within a `remark` in your automatic glossary:

       <glossary role="auto">
       <remark>Make sure there's a reference to <glossterm>gloss-2</glossterm>.</remark>
       <glossentry>
       <glossterm>Irrelevant</glossterm>
       <glossdef>
       <para>If you can see this, the document was processed incorrectly. Use
       the <parameter>glossary.collection</parameter> parameter.</para>
       </glossdef>
       </glossentry>
       </glossary>

glossterm.separation
length

## glossterm.separation

Separation between glossary terms and descriptions in list mode

    <xsl:param name="glossterm.separation" select="'0.25in'"></xsl:param>

### Description

Specifies the separation between glossary terms and descriptions when glossarys are presented using lists.

glossterm.width
length

## glossterm.width

Width of glossterm in list presentation mode

    <xsl:param name="glossterm.width" select="'2in'"></xsl:param>

### Description

This parameter specifies the width reserved for glossary terms when a list presentation is used.

glossary.as.blocks
boolean

## glossary.as.blocks

Present glossarys using blocks instead of lists?

    <xsl:param name="glossary.as.blocks" select="0"></xsl:param>

### Description

If non-zero, `glossary`s will be formatted as blocks.

If you have long `glossterm`s, proper list markup in the FO case may produce unattractive lists. By setting this parameter, you can force the stylesheets to produce block markup instead of proper lists.

You can override this setting with a processing instruction as the child of `glossary`: `dbfo glossary-presentation="blocks"` or `dbfo glossary-presentation="list"`

glosslist.as.blocks
boolean

## glosslist.as.blocks

Use blocks for glosslists?

    <xsl:param name="glosslist.as.blocks" select="0"></xsl:param>

### Description

See `glossary.as.blocks`.

glossentry.show.acronym
list

## glossentry.show.acronym

Display `glossentry` acronyms?

    <xsl:param name="glossentry.show.acronym" select="'no'"></xsl:param>

### Description

A setting of yes means they should be displayed; no means they shouldn't. If primary is used, then they are shown as the primary text for the entry.

This setting controls both `acronym` and `abbrev` elements in the `glossentry`.

## Miscellaneous

formal.procedures
boolean

## formal.procedures

Selects formal or informal procedures

    <xsl:param name="formal.procedures" select="1"></xsl:param>

### Description

Formal procedures are numbered and always have a title.

formal.title.placement

## formal.title.placement

    <xsl:param name="formal.title.placement">
    figure before
    example before
    equation before
    table before
    procedure before
    </xsl:param>

### Description

Specifies where formal object titles should occur. For each formal object type (`figure`, `example`, `equation`, `table`, and `procedure`) you can specify either the keyword `before` or `after`.

runinhead.default.title.end.punct
string

## runinhead.default.title.end.punct

Default punctuation character on a run-in-head

    <xsl:param name="runinhead.default.title.end.punct" select="'.'"></xsl:param>

### Description

FIXME:

runinhead.title.end.punct
string

## runinhead.title.end.punct

Characters that count as punctuation on a run-in-head

    <xsl:param name="runinhead.title.end.punct" select="'.!?:'"></xsl:param>

### Description

FIXME:

show.comments
boolean

## show.comments

Display `comment` elements?

    <xsl:param name="show.comments">1</xsl:param>

### Description

If true (non-zero), comments will be displayed, otherwise they are suppressed. Comments here refers to the `comment` element, which will be renamed `remark` in DocBook V4.0, not XML comments (<-- like this -->) which are unavailable.

punct.honorific
string

## punct.honorific

Punctuation after an honorific in a personal name.

    <xsl:param name="punct.honorific" select="'.'"></xsl:param>

### Description

This parameter specifies the punctuation that should be added after an honorific in a personal name.

segmentedlist.as.table
boolean

## segmentedlist.as.table

Format segmented lists as tables?

    <xsl:param name="segmentedlist.as.table" select="0"></xsl:param>

### Description

If non-zero, `segmentedlist`s will be formatted as tables.

variablelist.as.blocks
boolean

## variablelist.as.blocks

Format `variablelist`s lists as blocks?

    <xsl:param name="variablelist.as.blocks" select="0"></xsl:param>

### Description

If non-zero, `variablelist`s will be formatted as blocks.

If you have long terms, proper list markup in the FO case may produce unattractive lists. By setting this parameter, you can force the stylesheets to produce block markup instead of proper lists.

You can override this setting with a processing instruction as the child of `variablelist`: `dbfo list-presentation="blocks"` or `dbfo list-presentation="list"`

      <variablelist>
            <?dbfo list-presentation="list"?>
            <varlistentry>
              <term>list</term>
              <listitem>
                    <para>
                      Formatted as a list even if variablelist.as.blocks is set to 1.
                    </para>
              </listitem>
            </varlistentry>
      </variablelist>

## blockquote.properties

To set the style for block quotations.

    <xsl:attribute-set name="blockquote.properties">
    <xsl:attribute name="start-indent">0.5in</xsl:attribute>
    <xsl:attribute name="end-indent">0.5in</xsl:attribute>
    <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute>
    <xsl:attribute name="space-after.optimum">1em</xsl:attribute>
    <xsl:attribute name="space-after.maximum">2em</xsl:attribute>
    </xsl:attribute-set>

### Description

The `blockquote.properties` attribute set specifies the formating properties of block quotations.

ulink.show
boolean

## ulink.show

Display URLs after `ulink`s?

    <xsl:param name="ulink.show" select="1"></xsl:param>

### Description

If non-zero, the URL of each `ULink` will appear after the text of the link. If the text of the link and the URL are identical, the URL is suppressed.

ulink.footnotes
boolean

## ulink.footnotes

Generate footnotes for `ULink`s?

    <xsl:param name="ulink.footnotes" select="0"></xsl:param>

### Description

If non-zero, the URL of each `ULink` will appear as a footnote.

ulink.footnote.number.format
string

## ulink.footnote.number.format

Identifies the format used for `ulink` footnote numbers

    <xsl:param name="ulink.footnote.number.format" select="'1'"></xsl:param>

### Description

The `ulink.footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A).

ulink.hyphenate
string

## ulink.hyphenate

Allow URLs to be automatically hyphenated

    <xsl:param name="ulink.hyphenate" select="''"></xsl:param>

### Description

If not empty, the specified character (or more generally, content) is added to URLs after every /. If the character specified is a Unicode soft hyphen (0x00AD) or Unicode zero-width space (0x200B), some FO processors will be able to reasonably hyphenate long URLs.

As of 28 Jan 2002, discretionary hyphens are more widely and correctly supported than zero-width spaces for this purpose.

shade.verbatim
boolean

## shade.verbatim

Should verbatim environments be shaded?

    <xsl:param name="shade.verbatim" select="0"></xsl:param>

### Description

FIXME:

shade.verbatim.style

## shade.verbatim.style

Properties that specify the style of shaded verbatim listings

    <xsl:attribute-set name="shade.verbatim.style">
      <xsl:attribute name="background-color">#E0E0E0</xsl:attribute>
    </xsl:attribute-set>

### Description

FIXME:

use.svg
boolean

## use.svg

Allow SVG in the result tree?

    <xsl:param name="use.svg" select="1"></xsl:param>

### Description

If non-zero, SVG will be considered an acceptable image format. SVG is passed through to the result tree, so correct rendering of the resulting diagram depends on the formatter (FO processor or web browser) that is used to process the output from the stylesheet.

use.role.as.xrefstyle
boolean

## use.role.as.xrefstyle

Use `role` attribute for `xrefstyle` on `xref`?

    <xsl:param name="use.role.as.xrefstyle" select="1"></xsl:param>

### Description

If non-zero, the `role` attribute on `xref` will be used to select the cross reference style. The DocBook Technical Committee recently added an `xrefstyle` attribute for this purpose. If the `xrefstyle` attribute is present, `role` will be ignored, regardless of this setting.

Until an official DocBook release that includes the new attribute, this flag allows `role` to serve that purpose.

### Example

The following small stylesheet shows how to configure the stylesheets to make use of the cross reference style:

    <?xml version="1.0"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version="1.0">

    <xsl:import href="../xsl/html/docbook.xsl"/>

    <xsl:output method="html"/>

    <xsl:param name="local.l10n.xml" select="document('')"/>
    <l:i18n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0">
      <l:l10n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0" language="en">
       <l:context name="xref">
          <l:template name="chapter" style="title" text="Chapter %n, %t"/>
          <l:template name="chapter" text="Chapter %n"/>
        </l:context>
      </l:l10n>
    </l:i18n>

    </xsl:stylesheet>

With this stylesheet, the cross references in the following document:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
                      "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
    <book id="book"><title>Book</title>

    <preface>
    <title>Preface</title>

    <para>Normal: <xref linkend="ch1"/>.</para>
    <para>Title: <xref xrefstyle="title" linkend="ch1"/>.</para>

    </preface>

    <chapter id="ch1">
    <title>First Chapter</title>

    <para>Irrelevant.</para>

    </chapter>
    </book>

will appear as:

Normal: Chapter 1.

Title: Chapter 1, First Chapter.

menuchoice.separator

## menuchoice.separator

    <xsl:param name="menuchoice.separator" select="'+'"></xsl:param>

### Description

Separator used to connect items of a `menuchoice` other than `guimenuitem` and `guisubmenu`. The latter elements are linked with `menuchoice.menu.separator`.

menuchoice.menu.separator

## menuchoice.menu.separator

    <xsl:param name="menuchoice.menu.separator" select="'->'"></xsl:param>

### Description

Separator used to connect items of a `menuchoice` with `guimenuitem` or `guisubmenu`. Other elements are linked with `menuchoice.separator`.

default.float.class
string

## default.float.class

Specifies the default float class

    <xsl:param name="default.float.class" select="'before'"></xsl:param>

### Description

FIXME:

footnote.number.format
string

## footnote.number.format

Identifies the format used for footnote numbers

    <xsl:param name="footnote.number.format" select="'1'"></xsl:param>

### Description

The `footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A).

table.footnote.number.format
string

## table.footnote.number.format

Identifies the format used for footnote numbers in tables

    <xsl:param name="table.footnote.number.format" select="'a'"></xsl:param>

### Description

The `table.footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A) in tables.

footnote.number.symbols

## footnote.number.symbols

    <xsl:param name="footnote.number.symbols" select="''"></xsl:param>

### Description

If `footnote.number.symbols` is not the empty string, footnotes will use the characters it contains as footnote symbols. For example, *&#x2020;&#x2021;&#x25CA;&#x2720; will identify footnotes with *, †, ‡, ◊, and ✠. If there are more footnotes than symbols, the stylesheets will fall back to numbered footnotes using `footnote.number.format`.

The use of symbols for footnotes depends on the ability of your processor (or browser) to render the symbols you select. Not all systems are capable of displaying the full range of Unicode characters. If the quoted characters in the preceding paragraph are not displayed properly, that's a good indicator that you may have trouble using those symbols for footnotes.

table.footnote.number.symbols

## table.footnote.number.symbols

    <xsl:param name="table.footnote.number.symbols" select="''"></xsl:param>

### Description

If `table.footnote.number.symbols` is not the empty string, table footnotes will use the characters it contains as footnote symbols. For example, *&#x2020;&#x2021;&#x25CA;&#x2720; will identify footnotes with *, †, ‡, ◊, and ✠. If there are more footnotes than symbols, the stylesheets will fall back to numbered footnotes using `table.footnote.number.format`.

The use of symbols for footnotes depends on the ability of your processor (or browser) to render the symbols you select. Not all systems are capable of displaying the full range of Unicode characters. If the quoted characters in the preceding paragraph are not displayed properly, that's a good indicator that you may have trouble using those symbols for footnotes.

xref.with.number.and.title
boolean

## xref.with.number.and.title

Use number and title in cross references

    <xsl:param name="xref.with.number.and.title" select="1"></xsl:param>

### Description

FIXME:

## Graphics

graphic.default.extension
string

## graphic.default.extension

Default extension for graphic filenames

    <xsl:param name="graphic.default.extension"></xsl:param>

### Description

If a `graphic` or `mediaobject` includes a reference to a filename that does not include an extension, and the `format` attribute is unspecified, the default extension will be used.

default.image.width
length

## default.image.width

The default width of images

    <xsl:param name="default.image.width" select="''"></xsl:param>

### Description

If specified, this value will be used for the `width` attribute on images that do not specify any viewport dimensions.

preferred.mediaobject.role

## preferred.mediaobject.role

Select which mediaobject to use based on this value of an object's `role` attribute.

    <xsl:param name="preferred.mediaobject.role"></xsl:param>

### Description

A mediaobject may contain several objects such as imageobjects. If the parameter `use.role.for.mediaobject` is non-zero, then the `role` attribute on `imageobject`s and other objects within a `mediaobject` container will be used to select which object will be used. If one of the objects has a role value that matches the preferred.mediaobject.role parameter, then it has first priority for selection. If more than one has such a role value, the first one is used.

See the `use.role.for.mediaobject` parameter for the sequence of selection.

use.role.for.mediaobject
boolean

## use.role.for.mediaobject

Use `role` attribute value for selecting which of several objects within a mediaobject to use.

    <xsl:param name="use.role.for.mediaobject" select="1"></xsl:param>

### Description

If non-zero, the `role` attribute on `imageobject`s or other objects within a `mediaobject` container will be used to select which object will be used.

The order of selection when then parameter is non-zero is:

1. If the stylesheet parameter `preferred.mediaojbect.role` has a value, then the object whose role equals that value is selected.

2. Else if an object's role attribute has a value of `html` for HTML processing or `fo` for FO output, then the first of such objects is selected.

3. Else the first suitable object is selected.

If the value of `use.role.for.mediaobject` is zero, then role attributes are not considered and the first suitable object with or without a role value is used.

ignore.image.scaling
boolean

## ignore.image.scaling

Tell the stylesheets to ignore the author's image scaling attributes

    <xsl:param name="ignore.image.scaling" select="0"></xsl:param>

### Description

If non-zero, the scaling attributes on graphics and media objects are ignored.

## Pagination and General Styles

## Understanding XSL FO Margins

In order for the parameters in this section to make sense, it is useful to consider .

Figure showing page margins

This figure shows the physical page with the various FO page regions identified.

First, let's consider the regions on the page.

The white region is the physical page. Its dimensions are determined by the `page.height` and `page.width` parameters.

The yellow region is the region-body. The size and placement of the region body is constrained by the dimensions labelled in the figure.

The pink region at the top of the page is the region-before. The darker area inside the region-before is the header text. In XSL, the default display alignment for a region is `before`, but the DocBook stylesheets still explicitly make it `before`. That's why the darker area is at the top.

The pink region at the bottom of the page is the region-after. The darker area is the footer text. In XSL, the default display alignment for a region is `before`, but the DocBook stylesheets explicitly make it `after`. That's why the darker area is at the bottom.

The dimensions in the figure are:

1. The page-master margin-top.

2. The region-before extent.

3. The region-body margin-top.

4. The region-after extent.

5. The page-master margin-bottom.

6. The region-body margin-bottom.

7. The sum of the page-master margin-left and the region-body margin-left. In DocBook, the region-body margin-left is zero by default, so this is simply the page-master region-left.

8. The sum of the page-master margin-right and the region-body margin-right. In DocBook, the region-body margin-right is zero by default, so this is simply the page-master region-left.

page.height

## page.height

The height of the physical page

    <xsl:param name="page.height">
      <xsl:choose>
        <xsl:when test="$page.orientation = 'portrait'">
          <xsl:value-of select="$page.height.portrait"></xsl:value-of>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$page.width.portrait"></xsl:value-of>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

The page height is generally calculated from the `paper.type` and `page.orientation`.

page.height.portrait

## page.height.portrait

Specify the physical size of the long edge of the page

    <xsl:param name="page.height.portrait">
      <xsl:choose>
        <xsl:when test="$paper.type = 'A4landscape'">210mm</xsl:when>
        <xsl:when test="$paper.type = 'USletter'">11in</xsl:when>
        <xsl:when test="$paper.type = 'USlandscape'">8.5in</xsl:when>
        <xsl:when test="$paper.type = '4A0'">2378mm</xsl:when>
        <xsl:when test="$paper.type = '2A0'">1682mm</xsl:when>
        <xsl:when test="$paper.type = 'A0'">1189mm</xsl:when>
        <xsl:when test="$paper.type = 'A1'">841mm</xsl:when>
        <xsl:when test="$paper.type = 'A2'">594mm</xsl:when>
        <xsl:when test="$paper.type = 'A3'">420mm</xsl:when>
        <xsl:when test="$paper.type = 'A4'">297mm</xsl:when>
        <xsl:when test="$paper.type = 'A5'">210mm</xsl:when>
        <xsl:when test="$paper.type = 'A6'">148mm</xsl:when>
        <xsl:when test="$paper.type = 'A7'">105mm</xsl:when>
        <xsl:when test="$paper.type = 'A8'">74mm</xsl:when>
        <xsl:when test="$paper.type = 'A9'">52mm</xsl:when>
        <xsl:when test="$paper.type = 'A10'">37mm</xsl:when>
        <xsl:when test="$paper.type = 'B0'">1414mm</xsl:when>
        <xsl:when test="$paper.type = 'B1'">1000mm</xsl:when>
        <xsl:when test="$paper.type = 'B2'">707mm</xsl:when>
        <xsl:when test="$paper.type = 'B3'">500mm</xsl:when>
        <xsl:when test="$paper.type = 'B4'">353mm</xsl:when>
        <xsl:when test="$paper.type = 'B5'">250mm</xsl:when>
        <xsl:when test="$paper.type = 'B6'">176mm</xsl:when>
        <xsl:when test="$paper.type = 'B7'">125mm</xsl:when>
        <xsl:when test="$paper.type = 'B8'">88mm</xsl:when>
        <xsl:when test="$paper.type = 'B9'">62mm</xsl:when>
        <xsl:when test="$paper.type = 'B10'">44mm</xsl:when>
        <xsl:when test="$paper.type = 'C0'">1297mm</xsl:when>
        <xsl:when test="$paper.type = 'C1'">917mm</xsl:when>
        <xsl:when test="$paper.type = 'C2'">648mm</xsl:when>
        <xsl:when test="$paper.type = 'C3'">458mm</xsl:when>
        <xsl:when test="$paper.type = 'C4'">324mm</xsl:when>
        <xsl:when test="$paper.type = 'C5'">229mm</xsl:when>
        <xsl:when test="$paper.type = 'C6'">162mm</xsl:when>
        <xsl:when test="$paper.type = 'C7'">114mm</xsl:when>
        <xsl:when test="$paper.type = 'C8'">81mm</xsl:when>
        <xsl:when test="$paper.type = 'C9'">57mm</xsl:when>
        <xsl:when test="$paper.type = 'C10'">40mm</xsl:when>
        <xsl:otherwise>11in</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

The portrait page height is the length of the long edge of the physical page.

page.margin.bottom

## page.margin.bottom

The bottom margin of the page

    <xsl:param name="page.margin.bottom" select="'0.5in'"></xsl:param>

### Description

The bottom page margin is the distance from the bottom of the region-after to the physical bottom of the page.

page.margin.inner

## page.margin.inner

The inner page margin

    <xsl:param name="page.margin.inner">
      <xsl:choose>
        <xsl:when test="$double.sided != 0">1.25in</xsl:when>
        <xsl:otherwise>1in</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

The inner page margin is the distance from binding edge of the page to the first column of text. In the left-to-right, top-to-bottom writing direction, this is the left margin of recto pages.

The inner and outer margins are usually the same unless the output is double-sided.

page.margin.outer

## page.margin.outer

The outer page margin

    <xsl:param name="page.margin.outer">
      <xsl:choose>
        <xsl:when test="$double.sided != 0">0.75in</xsl:when>
        <xsl:otherwise>1in</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

The outer page margin is the distance from non-binding edge of the page to the last column of text. In the left-to-right, top-to-bottom writing direction, this is the right margin of recto pages.

The inner and outer margins are usually the same unless the output is double-sided.

page.margin.top

## page.margin.top

The top margin of the page

    <xsl:param name="page.margin.top" select="'0.5in'"></xsl:param>

### Description

The top page margin is the distance from the physical top of the page to the top of the region-before.

page.orientation

## page.orientation

Select the page orientation

    <xsl:param name="page.orientation" select="'portrait'"></xsl:param>

### Description

In portrait orientation, the short edge is horizontal; in landscape orientation, it is vertical.

page.width

## page.width

The width of the physical page

    <xsl:param name="page.width">
      <xsl:choose>
        <xsl:when test="$page.orientation = 'portrait'">
          <xsl:value-of select="$page.width.portrait"></xsl:value-of>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$page.height.portrait"></xsl:value-of>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

The page width is generally calculated from the `paper.type` and `page.orientation`.

page.width.portrait

## page.width.portrait

Specify the physical size of the short edge of the page

    <xsl:param name="page.width.portrait">
      <xsl:choose>
        <xsl:when test="$paper.type = 'USletter'">8.5in</xsl:when>
        <xsl:when test="$paper.type = '4A0'">1682mm</xsl:when>
        <xsl:when test="$paper.type = '2A0'">1189mm</xsl:when>
        <xsl:when test="$paper.type = 'A0'">841mm</xsl:when>
        <xsl:when test="$paper.type = 'A1'">594mm</xsl:when>
        <xsl:when test="$paper.type = 'A2'">420mm</xsl:when>
        <xsl:when test="$paper.type = 'A3'">297mm</xsl:when>
        <xsl:when test="$paper.type = 'A4'">210mm</xsl:when>
        <xsl:when test="$paper.type = 'A5'">148mm</xsl:when>
        <xsl:when test="$paper.type = 'A6'">105mm</xsl:when>
        <xsl:when test="$paper.type = 'A7'">74mm</xsl:when>
        <xsl:when test="$paper.type = 'A8'">52mm</xsl:when>
        <xsl:when test="$paper.type = 'A9'">37mm</xsl:when>
        <xsl:when test="$paper.type = 'A10'">26mm</xsl:when>
        <xsl:when test="$paper.type = 'B0'">1000mm</xsl:when>
        <xsl:when test="$paper.type = 'B1'">707mm</xsl:when>
        <xsl:when test="$paper.type = 'B2'">500mm</xsl:when>
        <xsl:when test="$paper.type = 'B3'">353mm</xsl:when>
        <xsl:when test="$paper.type = 'B4'">250mm</xsl:when>
        <xsl:when test="$paper.type = 'B5'">176mm</xsl:when>
        <xsl:when test="$paper.type = 'B6'">125mm</xsl:when>
        <xsl:when test="$paper.type = 'B7'">88mm</xsl:when>
        <xsl:when test="$paper.type = 'B8'">62mm</xsl:when>
        <xsl:when test="$paper.type = 'B9'">44mm</xsl:when>
        <xsl:when test="$paper.type = 'B10'">31mm</xsl:when>
        <xsl:when test="$paper.type = 'C0'">917mm</xsl:when>
        <xsl:when test="$paper.type = 'C1'">648mm</xsl:when>
        <xsl:when test="$paper.type = 'C2'">458mm</xsl:when>
        <xsl:when test="$paper.type = 'C3'">324mm</xsl:when>
        <xsl:when test="$paper.type = 'C4'">229mm</xsl:when>
        <xsl:when test="$paper.type = 'C5'">162mm</xsl:when>
        <xsl:when test="$paper.type = 'C6'">114mm</xsl:when>
        <xsl:when test="$paper.type = 'C7'">81mm</xsl:when>
        <xsl:when test="$paper.type = 'C8'">57mm</xsl:when>
        <xsl:when test="$paper.type = 'C9'">40mm</xsl:when>
        <xsl:when test="$paper.type = 'C10'">28mm</xsl:when>
        <xsl:otherwise>8.5in</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

The portrait page width is the length of the short edge of the physical page.

paper.type

## paper.type

Select the paper type

    <xsl:param name="paper.type" select="'USletter'"></xsl:param>

### Description

The paper type is a convenient way to specify the paper size. The list of known paper sizes includes USletter and most of the A, B, and C sizes. See `page.width.portrait`, for example.

double.sided

## double.sided

Is the document to be printed double sided?

    <xsl:param name="double.sided" select="0"></xsl:param>

### Description

Double-sided documents are printed with a slightly wider margin on the binding edge of the page.

FIXME: The current set of parameters does not take writing direction into account.

body.margin.bottom

## body.margin.bottom

The bottom margin of the body text

    <xsl:param name="body.margin.bottom" select="'0.5in'"></xsl:param>

### Description

The body bottom margin is the distance from the last line of text in the page body to the bottom of the region-after.

body.margin.top

## body.margin.top

To specify the size of the top margin of a page

    <xsl:param name="body.margin.top" select="'0.5in'"></xsl:param>

### Description

The body top margin is the distance from the top of the region-before to the first line of text in the page body.

alignment

## alignment

Specify the default text alignment

    <xsl:param name="alignment">justify</xsl:param>

### Description

The default text alignment is used for most body text.

hyphenate

## hyphenate

Specify hyphenation behavior

    <xsl:param name="hyphenate">true</xsl:param>

### Description

If true, words may be hyphenated. Otherwise, they may not.

line-height
string

## line-height

Specify the line-height property

    <xsl:param name="line-height" select="'normal'"></xsl:param>

### Description

Sets the line-height property.

column.count.back
integer

## column.count.back

Number of columns on back matter pages

    <xsl:param name="column.count.back" select="1"></xsl:param>

### Description

Number of columns on back matter (appendix, glossary, etc.) pages.

column.count.body
integer

## column.count.body

Number of columns on body pages

    <xsl:param name="column.count.body" select="1"></xsl:param>

### Description

Number of columns on body pages.

column.count.front
integer

## column.count.front

Number of columns on front matter pages

    <xsl:param name="column.count.front" select="1"></xsl:param>

### Description

Number of columns on front matter (dedication, preface, etc.) pages.

column.count.index
integer

## column.count.index

Number of columns on index pages

    <xsl:param name="column.count.index" select="2"></xsl:param>

### Description

Number of columns on index pages.

column.count.lot
integer

## column.count.lot

Number of columns on a 'List-of-Titles' page

    <xsl:param name="column.count.lot" select="1"></xsl:param>

### Description

Number of columns on a page sequence containing the Table of Contents, List of Figures, etc.

column.count.titlepage
integer

## column.count.titlepage

Number of columns on a title page

    <xsl:param name="column.count.titlepage" select="1"></xsl:param>

### Description

Number of columns on a title page

region.after.extent

## region.after.extent

Specifies the height of the footer.

    <xsl:param name="region.after.extent" select="'0.4in'"></xsl:param>

### Description

The region after extent is the height of the area where footers are printed.

region.before.extent

## region.before.extent

Specifies the height of the header

    <xsl:param name="region.before.extent" select="'0.4in'"></xsl:param>

### Description

The region before extent is the height of the area where headers are printed.

default.units
list
cm
mm
in
pt
pc
px
em

## default.units

Default units for an unqualified dimension

    <xsl:param name="default.units" select="'pt'"></xsl:param>

### Description

If an unqualified dimension is encountered (for example, in a graphic width), the `default-units` will be used for the units. Unqualified dimensions are not allowed in XSL Formatting Objects.

## normal.para.spacing

What space do you want between normal paragraphs

    <xsl:attribute-set name="normal.para.spacing">
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute>
    </xsl:attribute-set>

### Description

Specify the spacing required between normal paragraphs

body.font.master

## body.font.master

Specifies the default point size for body text

    <xsl:param name="body.font.master">10</xsl:param>

### Description

The body font size is specified in two parameters (`body.font.master` and `body.font.size`) so that math can be performed on the font size by XSLT.

body.font.size

## body.font.size

Specifies the default font size for body text

    <xsl:param name="body.font.size">
     <xsl:value-of select="$body.font.master"></xsl:value-of><xsl:text>pt</xsl:text>
    </xsl:param>

### Description

The body font size is specified in two parameters (`body.font.master` and `body.font.size`) so that math can be performed on the font size by XSLT.

footnote.font.size

## footnote.font.size

The font size for footnotes

    <xsl:param name="footnote.font.size">
     <xsl:value-of select="$body.font.master * 0.8"></xsl:value-of><xsl:text>pt</xsl:text>
    </xsl:param>

### Description

The footnote font size is used for...footnotes!

title.margin.left

## title.margin.left

Adjust the left margin for titles

    <xsl:param name="title.margin.left" select="'-4pc'"></xsl:param>

### Description

This parameter adjusts the left margin for titles.

draft.mode
list

## draft.mode

Select draft mode

    <xsl:param name="draft.mode" select="'maybe'"></xsl:param>

### Description

Selects draft mode. If `draft.mode` is `yes`, the entire document will be treated as a draft. If it is `no`, the entire document will be treated as a final copy. If it is `maybe`, individual sections will be treated as draft or final independently, depending on how their `status` attribute is set.

draft.watermark.image
uri

## draft.watermark.image

The URI of the image to be used for draft watermarks

    <xsl:param name="draft.watermark.image" select="'http://docbook.sourceforge.net/release/images/draft.png'"></xsl:param>

### Description

The image to be used for draft watermarks.

headers.on.blank.pages
boolean

## headers.on.blank.pages

Put headers on blank pages?

    <xsl:param name="headers.on.blank.pages" select="1"></xsl:param>

### Description

If non-zero, headers will be placed on blank pages.

footers.on.blank.pages
boolean

## footers.on.blank.pages

Put footers on blank pages?

    <xsl:param name="footers.on.blank.pages" select="1"></xsl:param>

### Description

If non-zero, footers will be placed on blank pages.

header.rule
boolean

## header.rule

Rule under headers?

    <xsl:param name="header.rule" select="1"></xsl:param>

### Description

If non-zero, a rule will be drawn below the page headers.

footer.rule
boolean

## footer.rule

Rule over footers?

    <xsl:param name="footer.rule" select="1"></xsl:param>

### Description

If non-zero, a rule will be drawn above the page footers.

header.content.properties

## header.content.properties

    <xsl:attribute-set name="header.content.properties">
      <xsl:attribute name="font-family">
        <xsl:value-of select="$body.font.family"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="margin-left">
        <xsl:value-of select="$title.margin.left"></xsl:value-of>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

Properties of page header content.

footer.content.properties

## footer.content.properties

    <xsl:attribute-set name="footer.content.properties">
      <xsl:attribute name="font-family">
        <xsl:value-of select="$body.font.family"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="margin-left">
        <xsl:value-of select="$title.margin.left"></xsl:value-of>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

Properties of page footer content.

## Font Families

body.font.family

## body.font.family

The default font family for body text

    <xsl:param name="body.font.family" select="'serif'"></xsl:param>

### Description

The body font family is the default font used for text in the page body.

dingbat.font.family

## dingbat.font.family

The font family for copyright, quotes, and other symbols

    <xsl:param name="dingbat.font.family" select="'serif'"></xsl:param>

### Description

The dingbat font family is used for dingbats. If it is defined as the empty string, no font change is effected around dingbats.

monospace.font.family

## monospace.font.family

The default font family for monospace environments

    <xsl:param name="monospace.font.family" select="'monospace'"></xsl:param>

### Description

The monospace font family is used for verbatim environments (program listings, screens, etc.).

sans.font.family

## sans.font.family

The default sans-serif font family

    <xsl:param name="sans.font.family" select="'sans-serif'"></xsl:param>

### Description

The default sans-serif font family. At the present, this isn't actually used by the stylesheets.

title.font.family

## title.font.family

The default font family for titles

    <xsl:param name="title.font.family" select="'sans-serif'"></xsl:param>

### Description

The title font family is used for titles (chapter, section, figure, etc.)

## Lists

## list.block.spacing

What spacing do you want before and after lists?

    <xsl:attribute-set name="list.block.spacing">
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute>
      <xsl:attribute name="space-after.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">1.2em</xsl:attribute>
    </xsl:attribute-set>

### Description

Specify the spacing required before and after a list. It is necessary to specify the space after a list block because lists can come inside of paras.

## list.item.spacing

What space do you want between list items?

    <xsl:attribute-set name="list.item.spacing">
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute>
    </xsl:attribute-set>

### Description

Specify what spacing you want between each list item.

## compact.list.item.spacing

What space do you want between list items (when spacing=compact)?

    <xsl:attribute-set name="compact.list.item.spacing">
      <xsl:attribute name="space-before.optimum">0em</xsl:attribute>
      <xsl:attribute name="space-before.minimum">0em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">0.2em</xsl:attribute>
    </xsl:attribute-set>

### Description

Specify what spacing you want between each list item when `spacing` is `compact`.

## Cross References

insert.xref.page.number
boolean

## insert.xref.page.number

Turns page numbers in xrefs on and off

    <xsl:param name="insert.xref.page.number" select="0"></xsl:param>

### Description

If non-zero, cross references (`xref`s) will include page number citations.

## xref.properties

Properties associated with cross-reference text

    <xsl:attribute-set name="xref.properties">
    </xsl:attribute-set>

### Description

This attribute set is used on cross reference text.

## Property Sets

## formal.object.properties

Properties associated with a formal object such as a figure, or other component that has a title

    <xsl:attribute-set name="formal.object.properties">
      <xsl:attribute name="space-before.minimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">2em</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-after.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">2em</xsl:attribute>
      <xsl:attribute name="keep-together">always</xsl:attribute>
    </xsl:attribute-set>

### Description

The styling for formal objects in docbook. Specify the spacing before and after the object.

## formal.title.properties

Style the title element of formal object such as a figure.

    <xsl:attribute-set name="formal.title.properties" use-attribute-sets="normal.para.spacing">
      <xsl:attribute name="font-weight">bold</xsl:attribute>
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master * 1.2"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="hyphenate">false</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.4em</xsl:attribute>
      <xsl:attribute name="space-after.optimum">0.6em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">0.8em</xsl:attribute>
    </xsl:attribute-set>

### Description

Specify how the title should be styled. Specify the font size and weight of the title of the formal object.

## informal.object.properties

Properties associated with a formal object such as a figure, or other component that has a title

    <xsl:attribute-set name="informal.object.properties">
      <xsl:attribute name="space-before.minimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">2em</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute>
      <xsl:attribute name="space-after.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">2em</xsl:attribute>
    </xsl:attribute-set>

### Description

The styling for informal objects in docbook. Specify the spacing before and after the object.

monospace.properties
attribute set

## monospace.properties

Properties of monospaced content

    <xsl:attribute-set name="monospace.properties">
      <xsl:attribute name="font-family">
        <xsl:value-of select="$monospace.font.family"></xsl:value-of>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

Specifies the font name for monospaced output. This property set used to set the font-size as well, but that doesn't work very well when different fonts are used (as they are in titles and paragraphs, for example).

If you want to set the font-size in a customization layer, it's probably going to be more appropriate to set font-size-adjust, if your formatter supports it.

## verbatim.properties

Properties associated with verbatim text

    <xsl:attribute-set name="verbatim.properties">
      <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute>
      <xsl:attribute name="space-after.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-after.optimum">1em</xsl:attribute>
      <xsl:attribute name="space-after.maximum">1.2em</xsl:attribute>
    </xsl:attribute-set>

### Description

This attribute set is used on all verbatim environments.

## monospace.verbatim.properties

What font and size do you want for monospaced content?

    <xsl:attribute-set name="monospace.verbatim.properties" use-attribute-sets="verbatim.properties monospace.properties">
      <xsl:attribute name="text-align">start</xsl:attribute>
    </xsl:attribute-set>

### Description

Specify the font name and size you want for monospaced output

sidebar.properties
attribute set

## sidebar.properties

Attribute set for sidebar properties

    <xsl:attribute-set name="sidebar.properties" use-attribute-sets="formal.object.properties">
      <xsl:attribute name="border-style">solid</xsl:attribute>
      <xsl:attribute name="border-width">1pt</xsl:attribute>
      <xsl:attribute name="border-color">black</xsl:attribute>
      <xsl:attribute name="background-color">#DDDDDD</xsl:attribute>
      <xsl:attribute name="padding-left">12pt</xsl:attribute>
      <xsl:attribute name="padding-right">12pt</xsl:attribute>
      <xsl:attribute name="padding-top">6pt</xsl:attribute>
      <xsl:attribute name="padding-bottom">6pt</xsl:attribute>
    <!--
      <xsl:attribute name="margin-left">12pt</xsl:attribute>
      <xsl:attribute name="margin-right">12pt</xsl:attribute>
      <xsl:attribute name="margin-top">6pt</xsl:attribute>
      <xsl:attribute name="margin-bottom">6pt</xsl:attribute>
    -->
    </xsl:attribute-set>

### Description

The styling for sidebars.

section.title.properties
attribute set

## section.title.properties

Properties for section titles

    <xsl:attribute-set name="section.title.properties">
      <xsl:attribute name="font-family">
        <xsl:value-of select="$title.font.family"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="font-weight">bold</xsl:attribute>
      <!-- font size is calculated dynamically by section.heading template -->
      <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
      <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute>
      <xsl:attribute name="space-before.optimum">1.0em</xsl:attribute>
      <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute>
    </xsl:attribute-set>

### Description

The properties common to all section titles.

section.title.level1.properties
attribute set

## section.title.level1.properties

Properties for level-1 section titles

    <xsl:attribute-set name="section.title.level1.properties">
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master * 2.0736"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

The properties of level-1 section titles.

section.title.level2.properties
attribute set

## section.title.level2.properties

Properties for level-1 section titles

    <xsl:attribute-set name="section.title.level2.properties">
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master * 1.728"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

The properties of level-2 section titles.

section.title.level3.properties
attribute set

## section.title.level3.properties

Properties for level-1 section titles

    <xsl:attribute-set name="section.title.level3.properties">
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master * 1.44"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

The properties of level-3 section titles.

section.title.level4.properties
attribute set

## section.title.level4.properties

Properties for level-1 section titles

    <xsl:attribute-set name="section.title.level4.properties">
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master * 1.2"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

The properties of level-4 section titles.

section.title.level5.properties
attribute set

## section.title.level5.properties

Properties for level-1 section titles

    <xsl:attribute-set name="section.title.level5.properties">
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

The properties of level-5 section titles.

section.title.level6.properties
attribute set

## section.title.level6.properties

Properties for level-1 section titles

    <xsl:attribute-set name="section.title.level6.properties">
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.master"></xsl:value-of>
        <xsl:text>pt</xsl:text>
      </xsl:attribute>
    </xsl:attribute-set>

### Description

The properties of level-6 section titles. This property set is actually used for all titles below level 5.

## figure.properties

Properties associated with a figure

    <xsl:attribute-set name="figure.properties" use-attribute-sets="formal.object.properties"></xsl:attribute-set>

### Description

The styling for figures.

## example.properties

Properties associated with a example

    <xsl:attribute-set name="example.properties" use-attribute-sets="formal.object.properties"></xsl:attribute-set>

### Description

The styling for examples.

## equation.properties

Properties associated with a equation

    <xsl:attribute-set name="equation.properties" use-attribute-sets="formal.object.properties"></xsl:attribute-set>

### Description

The styling for equations.

## table.properties

Properties associated with a table

    <xsl:attribute-set name="table.properties" use-attribute-sets="formal.object.properties"></xsl:attribute-set>

### Description

The styling for tables.

## procedure.properties

Properties associated with a procedure

    <xsl:attribute-set name="procedure.properties" use-attribute-sets="formal.object.properties"></xsl:attribute-set>

### Description

The styling for procedures.

root.properties
attribute set

## root.properties

The properties of the fo:root element

    <xsl:attribute-set name="root.properties">
      <xsl:attribute name="font-family">
        <xsl:value-of select="$body.font.family"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="font-size">
        <xsl:value-of select="$body.font.size"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="text-align">
        <xsl:value-of select="$alignment"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="line-height">
        <xsl:value-of select="$line-height"></xsl:value-of>
      </xsl:attribute>
      <xsl:attribute name="font-selection-strategy">character-by-character</xsl:attribute>
    </xsl:attribute-set>

### Description

This property set is used on the `fo:root` element of an FO file. It defines a set of default, global parameters.

## Profiling

Following parameters can be used for attribute value based profiling of your document. For more info about profiling look at http://docbook.sourceforge.net/projects/xsl/doc/tools/profiling.html.

profile.arch
string

## profile.arch

Target profile for `arch` attribute

    <xsl:param name="profile.arch" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.condition
string

## profile.condition

Target profile for `condition` attribute

    <xsl:param name="profile.condition" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.conformance
string

## profile.conformance

Target profile for `conformance` attribute

    <xsl:param name="profile.conformance" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.lang
string

## profile.lang

Target profile for `lang` attribute

    <xsl:param name="profile.lang" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.os
string

## profile.os

Target profile for `os` attribute

    <xsl:param name="profile.os" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.revision
string

## profile.revision

Target profile for `revision` attribute

    <xsl:param name="profile.revision" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.revisionflag
string

## profile.revisionflag

Target profile for `revisionflag` attribute

    <xsl:param name="profile.revisionflag" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.role
string

## profile.role

Target profile for `role` attribute

    <xsl:param name="profile.role" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

Note that `role` is often used for other purposes than profiling. For example it is commonly used to get emphasize in bold font:

    <emphasis role="bold">very important</emphasis>

If you are using `role` for these purposes do not forget to add values like `bold` to value of this parameter. If you forgot you will get document with small pieces missing which are very hard to track.

For this reason it is not recommended to use `role` attribute for profiling. You should rather use profiling specific attributes like `userlevel`, `os`, `arch`, `condition`, etc.

profile.security
string

## profile.security

Target profile for `security` attribute

    <xsl:param name="profile.security" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.userlevel
string

## profile.userlevel

Target profile for `userlevel` attribute

    <xsl:param name="profile.userlevel" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.vendor
string

## profile.vendor

Target profile for `vendor` attribute

    <xsl:param name="profile.vendor" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.attribute
string

## profile.attribute

Name of user-specified profiling attribute

    <xsl:param name="profile.attribute" select="''"></xsl:param>

### Description

This parameter is used in conjuction with `profile.value`.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.value
string

## profile.value

Target profile for user-specified attribute

    <xsl:param name="profile.value" select="''"></xsl:param>

### Description

When you are using this parameter you must also specify name of profiling attribute with parameter `profile.attribute`.

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.separator
string

## profile.separator

Separator character for compound profile values

    <xsl:param name="profile.separator" select="';'"></xsl:param>

### Description

Separator character for compound profile values.

## Localization

l10n.gentext.language
string

## l10n.gentext.language

Sets the gentext language

    <xsl:param name="l10n.gentext.language" select="''"></xsl:param>

### Description

If this parameter is set to any value other than the empty string, its value will be used as the value for the language when generating text. Setting `l10n.gentext.language` overrides any settings within the document being formatted.

It's much more likely that you might want to set the `l10n.gentext.default.language` parameter.

l10n.gentext.default.language
string

## l10n.gentext.default.language

Sets the default language for generated text

    <xsl:param name="l10n.gentext.default.language" select="'en'"></xsl:param>

### Description

The value of the `l10n.gentext.default.language` parameter is used as the language for generated text if no setting is provided in the source document.

l10n.gentext.use.xref.language
boolean

## l10n.gentext.use.xref.language

Use the language of target when generating cross-reference text?

    <xsl:param name="l10n.gentext.use.xref.language" select="0"></xsl:param>

### Description

If non-zero, the language of the target will be used when generating cross reference text. Usually, the current language is used when generating text (that is, the language of the element that contains the cross-reference element). But setting this parameter allows the language of the element pointed to to control the generated text.

Consider the following example:

    <para lang="en">See also <xref linkend="chap3"/>.</para>

Suppose that Chapter 3 happens to be written in German. If `l10n.gentext.use.xref.language` is non-zero, the resulting text will be something like this:

> See also Kapital 3.

Where the more traditional rendering would be:

> See also Chapter 3.

## EBNF

ebnf.assignment
rtf

## ebnf.assignment

The EBNF production assignment operator

    <xsl:param name="ebnf.assignment">
      <fo:inline font-family="{$monospace.font.family}">
        <xsl:text>::=</xsl:text>
      </fo:inline>
    </xsl:param>

### Description

The `ebnf.assignment` parameter determines what text is used to show assignment in `production`s in `productionset`s.

While `::=` is common, so are several other operators.

ebnf.statement.terminator
rtf

## ebnf.statement.terminator

Punctuation that ends an EBNF statement.

    <xsl:param name="ebnf.statement.terminator"></xsl:param>

### Description

The `ebnf.statement.terminator` parameter determines what text is used to terminate each `production` in `productionset`.

Some notations end each statement with a period.

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

    <xsl:stylesheet exclude-result-prefixes="src" version="1.0">

    <!-- This file is generated from param.xweb; do not edit this file! -->

    <!-- ********************************************************************
         $Id: param.xml,v 1.1 2003/06/09 18:40:49 blackburst Exp $
         ********************************************************************

         This file is part of the XSL DocBook Stylesheet distribution.
         See ../README or http://nwalsh.com/docbook/xsl/ for copyright
         and other information.

         ******************************************************************** -->

    <src:fragref linkend="admon.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="admon.graphics.frag"></src:fragref>
    <src:fragref linkend="admon.graphics.path.frag"></src:fragref>
    <src:fragref linkend="admon.textlabel.frag"></src:fragref>
    <src:fragref linkend="admonition.properties.frag"></src:fragref>
    <src:fragref linkend="admonition.title.properties.frag"></src:fragref>
    <src:fragref linkend="alignment.frag"></src:fragref>
    <src:fragref linkend="appendix.autolabel.frag"></src:fragref>
    <src:fragref linkend="arbortext.extensions.frag"></src:fragref>
    <src:fragref linkend="author.othername.in.middle.frag"></src:fragref>
    <src:fragref linkend="autotoc.label.separator.frag"></src:fragref>
    <src:fragref linkend="axf.extensions.frag"></src:fragref>
    <src:fragref linkend="biblioentry.item.separator.frag"></src:fragref>
    <src:fragref linkend="bibliography.collection.frag"></src:fragref>
    <src:fragref linkend="bibliography.numbered.frag"></src:fragref>
    <src:fragref linkend="blockquote.properties.frag"></src:fragref>
    <src:fragref linkend="body.font.family.frag"></src:fragref>
    <src:fragref linkend="body.font.master.frag"></src:fragref>
    <src:fragref linkend="body.font.size.frag"></src:fragref>
    <src:fragref linkend="body.margin.bottom.frag"></src:fragref>
    <src:fragref linkend="body.margin.top.frag"></src:fragref>
    <src:fragref linkend="bridgehead.in.toc.frag"></src:fragref>
    <src:fragref linkend="callout.defaultcolumn.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.number.limit.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.path.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.font.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.number.limit.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.start.character.frag"></src:fragref>
    <src:fragref linkend="callouts.extension.frag"></src:fragref>
    <src:fragref linkend="chapter.autolabel.frag"></src:fragref>
    <src:fragref linkend="column.count.back.frag"></src:fragref>
    <src:fragref linkend="column.count.body.frag"></src:fragref>
    <src:fragref linkend="column.count.front.frag"></src:fragref>
    <src:fragref linkend="column.count.index.frag"></src:fragref>
    <src:fragref linkend="column.count.lot.frag"></src:fragref>
    <src:fragref linkend="column.count.titlepage.frag"></src:fragref>
    <src:fragref linkend="compact.list.item.spacing.frag"></src:fragref>
    <src:fragref linkend="current.docid.frag"></src:fragref>
    <src:fragref linkend="default.float.class.frag"></src:fragref>
    <src:fragref linkend="default.image.width.frag"></src:fragref>
    <src:fragref linkend="default.table.width.frag"></src:fragref>
    <src:fragref linkend="default.units.frag"></src:fragref>
    <src:fragref linkend="dingbat.font.family.frag"></src:fragref>
    <src:fragref linkend="double.sided.frag"></src:fragref>
    <src:fragref linkend="draft.mode.frag"></src:fragref>
    <src:fragref linkend="draft.watermark.image.frag"></src:fragref>
    <src:fragref linkend="ebnf.assignment.frag"></src:fragref>
    <src:fragref linkend="ebnf.statement.terminator.frag"></src:fragref>
    <src:fragref linkend="equation.properties.frag"></src:fragref>
    <src:fragref linkend="example.properties.frag"></src:fragref>
    <src:fragref linkend="figure.properties.frag"></src:fragref>
    <src:fragref linkend="firstterm.only.link.frag"></src:fragref>
    <src:fragref linkend="footer.content.properties.frag"></src:fragref>
    <src:fragref linkend="footer.rule.frag"></src:fragref>
    <src:fragref linkend="footers.on.blank.pages.frag"></src:fragref>
    <src:fragref linkend="footnote.font.size.frag"></src:fragref>
    <src:fragref linkend="footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="footnote.number.symbols.frag"></src:fragref>
    <src:fragref linkend="fop.extensions.frag"></src:fragref>
    <src:fragref linkend="formal.object.properties.frag"></src:fragref>
    <src:fragref linkend="formal.procedures.frag"></src:fragref>
    <src:fragref linkend="formal.title.placement.frag"></src:fragref>
    <src:fragref linkend="formal.title.properties.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.decoration.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.style.frag"></src:fragref>
    <src:fragref linkend="function.parens.frag"></src:fragref>
    <src:fragref linkend="generate.index.frag"></src:fragref>
    <src:fragref linkend="generate.section.toc.level.frag"></src:fragref>
    <src:fragref linkend="generate.toc.frag"></src:fragref>
    <src:fragref linkend="glossary.as.blocks.frag"></src:fragref>
    <src:fragref linkend="glossary.collection.frag"></src:fragref>
    <src:fragref linkend="glossentry.show.acronym.frag"></src:fragref>
    <src:fragref linkend="glosslist.as.blocks.frag"></src:fragref>
    <src:fragref linkend="glossterm.auto.link.frag"></src:fragref>
    <src:fragref linkend="glossterm.separation.frag"></src:fragref>
    <src:fragref linkend="glossterm.width.frag"></src:fragref>
    <src:fragref linkend="graphic.default.extension.frag"></src:fragref>
    <src:fragref linkend="header.content.properties.frag"></src:fragref>
    <src:fragref linkend="header.rule.frag"></src:fragref>
    <src:fragref linkend="headers.on.blank.pages.frag"></src:fragref>
    <src:fragref linkend="hyphenate.frag"></src:fragref>
    <src:fragref linkend="ignore.image.scaling.frag"></src:fragref>
    <src:fragref linkend="informal.object.properties.frag"></src:fragref>
    <src:fragref linkend="insert.xref.page.number.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.default.language.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.language.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.use.xref.language.frag"></src:fragref>
    <src:fragref linkend="label.from.part.frag"></src:fragref>
    <src:fragref linkend="line-height.frag"></src:fragref>
    <src:fragref linkend="linenumbering.everyNth.frag"></src:fragref>
    <src:fragref linkend="linenumbering.extension.frag"></src:fragref>
    <src:fragref linkend="linenumbering.separator.frag"></src:fragref>
    <src:fragref linkend="linenumbering.width.frag"></src:fragref>
    <src:fragref linkend="list.block.spacing.frag"></src:fragref>
    <src:fragref linkend="list.item.spacing.frag"></src:fragref>
    <src:fragref linkend="make.index.markup.frag"></src:fragref>
    <src:fragref linkend="make.single.year.ranges.frag"></src:fragref>
    <src:fragref linkend="make.year.ranges.frag"></src:fragref>
    <src:fragref linkend="menuchoice.menu.separator.frag"></src:fragref>
    <src:fragref linkend="menuchoice.separator.frag"></src:fragref>
    <src:fragref linkend="monospace.font.family.frag"></src:fragref>
    <src:fragref linkend="monospace.properties.frag"></src:fragref>
    <src:fragref linkend="monospace.verbatim.properties.frag"></src:fragref>
    <src:fragref linkend="nominal.table.width.frag"></src:fragref>
    <src:fragref linkend="normal.para.spacing.frag"></src:fragref>
    <src:fragref linkend="olink.doctitle.frag"></src:fragref>
    <src:fragref linkend="page.height.frag"></src:fragref>
    <src:fragref linkend="page.height.portrait.frag"></src:fragref>
    <src:fragref linkend="page.margin.bottom.frag"></src:fragref>
    <src:fragref linkend="page.margin.inner.frag"></src:fragref>
    <src:fragref linkend="page.margin.outer.frag"></src:fragref>
    <src:fragref linkend="page.margin.top.frag"></src:fragref>
    <src:fragref linkend="page.orientation.frag"></src:fragref>
    <src:fragref linkend="page.width.frag"></src:fragref>
    <src:fragref linkend="page.width.portrait.frag"></src:fragref>
    <src:fragref linkend="paper.type.frag"></src:fragref>
    <src:fragref linkend="part.autolabel.frag"></src:fragref>
    <src:fragref linkend="passivetex.extensions.frag"></src:fragref>
    <src:fragref linkend="preface.autolabel.frag"></src:fragref>
    <src:fragref linkend="preferred.mediaobject.role.frag"></src:fragref>
    <src:fragref linkend="procedure.properties.frag"></src:fragref>
    <src:fragref linkend="process.empty.source.toc.frag"></src:fragref>
    <src:fragref linkend="process.source.toc.frag"></src:fragref>
    <src:fragref linkend="profile.arch.frag"></src:fragref>
    <src:fragref linkend="profile.attribute.frag"></src:fragref>
    <src:fragref linkend="profile.condition.frag"></src:fragref>
    <src:fragref linkend="profile.conformance.frag"></src:fragref>
    <src:fragref linkend="profile.lang.frag"></src:fragref>
    <src:fragref linkend="profile.os.frag"></src:fragref>
    <src:fragref linkend="profile.revision.frag"></src:fragref>
    <src:fragref linkend="profile.revisionflag.frag"></src:fragref>
    <src:fragref linkend="profile.role.frag"></src:fragref>
    <src:fragref linkend="profile.security.frag"></src:fragref>
    <src:fragref linkend="profile.separator.frag"></src:fragref>
    <src:fragref linkend="profile.userlevel.frag"></src:fragref>
    <src:fragref linkend="profile.value.frag"></src:fragref>
    <src:fragref linkend="profile.vendor.frag"></src:fragref>
    <src:fragref linkend="punct.honorific.frag"></src:fragref>
    <src:fragref linkend="qanda.inherit.numeration.frag"></src:fragref>
    <src:fragref linkend="qandadiv.autolabel.frag"></src:fragref>
    <src:fragref linkend="refentry.generate.name.frag"></src:fragref>
    <src:fragref linkend="refentry.generate.title.frag"></src:fragref>
    <src:fragref linkend="refentry.title.properties.frag"></src:fragref>
    <src:fragref linkend="refentry.xref.manvolnum.frag"></src:fragref>
    <src:fragref linkend="region.after.extent.frag"></src:fragref>
    <src:fragref linkend="region.before.extent.frag"></src:fragref>
    <src:fragref linkend="root.properties.frag"></src:fragref>
    <src:fragref linkend="rootid.frag"></src:fragref>
    <src:fragref linkend="runinhead.default.title.end.punct.frag"></src:fragref>
    <src:fragref linkend="runinhead.title.end.punct.frag"></src:fragref>
    <src:fragref linkend="sans.font.family.frag"></src:fragref>
    <src:fragref linkend="section.autolabel.frag"></src:fragref>
    <src:fragref linkend="section.label.includes.component.label.frag"></src:fragref>
    <src:fragref linkend="section.title.level1.properties.frag"></src:fragref>
    <src:fragref linkend="section.title.level2.properties.frag"></src:fragref>
    <src:fragref linkend="section.title.level3.properties.frag"></src:fragref>
    <src:fragref linkend="section.title.level4.properties.frag"></src:fragref>
    <src:fragref linkend="section.title.level5.properties.frag"></src:fragref>
    <src:fragref linkend="section.title.level6.properties.frag"></src:fragref>
    <src:fragref linkend="section.title.properties.frag"></src:fragref>
    <src:fragref linkend="segmentedlist.as.table.frag"></src:fragref>
    <src:fragref linkend="shade.verbatim.frag"></src:fragref>
    <src:fragref linkend="shade.verbatim.style.frag"></src:fragref>
    <src:fragref linkend="show.comments.frag"></src:fragref>
    <src:fragref linkend="sidebar.properties.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.color.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.style.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.thickness.frag"></src:fragref>
    <src:fragref linkend="table.cell.padding.frag"></src:fragref>
    <src:fragref linkend="table.footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="table.footnote.number.symbols.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.color.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.style.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.thickness.frag"></src:fragref>
    <src:fragref linkend="table.properties.frag"></src:fragref>
    <src:fragref linkend="tablecolumns.extension.frag"></src:fragref>
    <src:fragref linkend="target.database.document.frag"></src:fragref>
    <src:fragref linkend="tex.math.delims.frag"></src:fragref>
    <src:fragref linkend="tex.math.in.alt.frag"></src:fragref>
    <src:fragref linkend="textinsert.extension.frag"></src:fragref>
    <src:fragref linkend="title.font.family.frag"></src:fragref>
    <src:fragref linkend="title.margin.left.frag"></src:fragref>
    <src:fragref linkend="toc.indent.width.frag"></src:fragref>
    <src:fragref linkend="toc.margin.properties.frag"></src:fragref>
    <src:fragref linkend="toc.section.depth.frag"></src:fragref>
    <src:fragref linkend="ulink.footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="ulink.footnotes.frag"></src:fragref>
    <src:fragref linkend="ulink.hyphenate.frag"></src:fragref>
    <src:fragref linkend="ulink.show.frag"></src:fragref>
    <src:fragref linkend="use.extensions.frag"></src:fragref>
    <src:fragref linkend="use.local.olink.style.frag"></src:fragref>
    <src:fragref linkend="use.role.as.xrefstyle.frag"></src:fragref>
    <src:fragref linkend="use.role.for.mediaobject.frag"></src:fragref>
    <src:fragref linkend="use.svg.frag"></src:fragref>
    <src:fragref linkend="variablelist.as.blocks.frag"></src:fragref>
    <src:fragref linkend="verbatim.properties.frag"></src:fragref>
    <src:fragref linkend="xep.extensions.frag"></src:fragref>
    <src:fragref linkend="xep.index.item.properties.frag"></src:fragref>
    <src:fragref linkend="xref.properties.frag"></src:fragref>
    <src:fragref linkend="xref.with.number.and.title.frag"></src:fragref>

    </xsl:stylesheet>